aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMasahiro Yamada <masahiroy@kernel.org>2020-01-05 00:02:38 +0900
committerMasahiro Yamada <masahiroy@kernel.org>2020-01-16 00:26:22 +0900
commit7168965ec7b10b8a2c7dea1f82f1ebadf44d64ba (patch)
tree7155183fd7b75f3c4f540f18f0e3c95926ba1028
parentinitramfs: refactor the initramfs build rules (diff)
downloadlinux-dev-7168965ec7b10b8a2c7dea1f82f1ebadf44d64ba.tar.xz
linux-dev-7168965ec7b10b8a2c7dea1f82f1ebadf44d64ba.zip
gen_initramfs.sh: remove intermediate cpio_list on errors
This script sets the -e option, so it exits on any error, in which case it exits without cleaning up the intermediate cpio_list. Make sure to delete it on exit. Signed-off-by: Masahiro Yamada <masahiroy@kernel.org>
Diffstat (limited to '')
-rwxr-xr-xusr/gen_initramfs.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/usr/gen_initramfs.sh b/usr/gen_initramfs.sh
index 4e6715f8ff7f..8ae831657e5d 100755
--- a/usr/gen_initramfs.sh
+++ b/usr/gen_initramfs.sh
@@ -193,6 +193,8 @@ dep_list=
cpio_list=$(mktemp ${TMPDIR:-/tmp}/cpiolist.XXXXXX)
output="/dev/stdout"
+trap "rm -f $cpio_list" EXIT
+
while [ $# -gt 0 ]; do
arg="$1"
shift
@@ -243,4 +245,3 @@ if test -n "$KBUILD_BUILD_TIMESTAMP"; then
fi
fi
usr/gen_init_cpio $timestamp $cpio_list > $output
-rm $cpio_list